### Constructor

# Ggit Mailmap new_from_repository

#### Declaration [src]

    GgitMailmap*
    ggit_mailmap_new_from_repository (
      GgitRepository* repository,
      GError** error
    )

#### Description [src]

Creates a new `GgitMailmap` and loads mailmap files according to the configuration of `repository`.

#### Parameters

`repository`

  Type: `GgitRepository`

  A `GgitRepository`.

  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the constructor if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `GgitMailmap`

A newly allocated `GgitMailmap` or `NULL`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.